[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CNPreferredSizeChanged

Message handler for preferred size changed.

## Declaration

Source position: controls.pp line 1675

`public procedure TControl.CNPreferredSizeChanged;`

## Description

Called by the LCL interface, when something changed that effects the interface values for GetPreferredSize.